import request from '@/utils/request'
import Qs from 'qs'

// 查询部门列表
export function listDept(query) {
  return request({
    url: '/system/dept/list',
    method: 'get',
    params: query
  })
}
// 查询部门列表
export function listAllDept() {
  return request({
    url: '/system/dept/list',
    method: 'get'
  })
}
// 查询部门列表（排除节点）
export function listDeptExcludeChild(deptId) {
  return request({
    url: '/system/dept/list/exclude/' + deptId,
    method: 'get'
  })
}

// 查询部门详细
export function getDept(deptId) {
  return request({
    url: '/system/dept/detail/' + deptId,
    method: 'get'
  })
}

// 查询部门下拉树结构
export function treeselect() {
  return request({
    url: '/system/dept/treeSelect',
    method: 'get'
  })
}

// 查询部门下拉树结构
export function getChildrenDept(userId) {
  return request({
    url: '/system/dept/treeSelect' + userId,
    method: 'get'
  })
}

// 根据角色ID查询部门树结构
export function roleDeptTreeselect(roleId, menuId) {
  return request({
    url: '/system/dept/roleDeptTreeSelect/' + roleId + '/' + menuId,
    method: 'get'
  })
}

// 新增部门
export function addDept(data) {
  // console.log(data)
  data = Qs.stringify(data)
  // console.log(11112311111111)
  // console.log(data)
  return request({
    url: '/system/dept/add',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}

// 修改部门
export function updateDept(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/system/dept/update/' + businessId,
    method: 'put',
    data,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}

// 删除部门
export function delDept(deptId) {
  return request({
    url: '/system/dept/deleteLogical/' + deptId,
    method: 'delete'
  })
}
// 查询无部门人员
export function queryUserWithoutDept(params) {
  return request({
    url: '/system/dept/getAllUserWithoutDept',
    method: 'get',
    params
  })
}
// 根据查询内容查询用户
export function queryUserByName(params) {
  return request({
    url: '/system/user/getListWithDept',
    method: 'get',
    params
  })
}
// 查询该部门下的所有用户
export function queryUserByDeptId(id, params) {
  return request({
    url: '/system/dept/getAllUserByDeptId/' + id,
    method: 'get',
    params
  })
}
// 转部门
export function transformDept(data) {
  return request({
    url: '/system/dept/update/{businessId}',
    method: 'put',
    data
  })
}
// 查询部门详细
export function getDeptDetail(deptId) {
  return request({
    url: '/system/dept/detail/' + deptId,
    method: 'get'
  })
}
