import request from '@/utils/request'
import Qs from 'qs'
// 查询字典类型列表
export function listType(query) {
  return request({
    url: '/system/dict/type/list',
    method: 'get',
    params: query
  })
}

// 查询字典类型详细
export function getType(dictId) {
  return request({
    url: '/system/dict/type/detail/' + dictId,
    method: 'get'
  })
}

// 查询父字典类型详细
export function getFatherType() {
  return request({
    url: '/system/dict/type/optionselect',
    method: 'get'
  })
}

// 查询字典类型
export function selectRegionCode(dictType) {
  return request({
    url: '/system/dict/type/selectDictType?dictType=' + dictType,
    method: 'get'
  })
}
// 查询字典名称
export function checkDictNameUnique(dictType) {
  return request({
    url: '/system/dict/type/checkDictNameUnique?dictName=' + dictType,
    method: 'get'
  })
}

// 新增字典类型
export function addType(data) {
  data = Qs.stringify(data)
  return request({
    url: '/system/dict/type/add',
    method: 'post',
    data: data,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}

// 修改字典类型
export function updateType(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/system/dict/type/update/' + businessId,
    method: 'put',
    data: data,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}

// 删除字典类型
export function delType(dictId) {
  return request({
    url: '/system/dict/type/deleteLogical/' + dictId,
    method: 'delete'
  })
}

// 清理参数缓存
export function clearCache() {
  return request({
    url: '/system/dict/type/clearCache',
    method: 'delete'
  })
}

// 导出字典类型
export function exportType(query) {
  return request({
    url: '/system/dict/type/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}

// 获取字典选择框列表
// export function optionselect() {
//   return request({
//     url: '/authority/system/dict/type/selectFather',
//     method: 'get'
//   })
// }
// 获取字典选择框列表
export function selectDictType(dictType) {
  return request({
    url: '/system/dict/type/optionselect' + dictType,
    method: 'get'
  })
}
