import request from '@/utils/request'
import Qs from 'qs'

// 查询菜单列表
export function listMenu(query) {
  return request({
    url: '/system/menu/list',
    method: 'get',
    params: query
  })
}
// 查询菜单列表-全部
export function listAllMenu(query) {
  return request({
    url: '/system/menu/listAll',
    method: 'get',
    params: query
  })
}
// 查询菜单列表
export function findAllMenu(query) {
  return request({
    url: '/system/menu/findAllMenu?menu_name=' + query,
    method: 'get'
  })
}

// 查询菜单详细
export function getMenu(menuId) {
  return request({
    url: '/system/menu/detail/' + menuId,
    method: 'get'
  })
}

// 查询工作流程
export function getWork() {
  return request({
    baseURL: process.env.VUE_APP_WORKFLOW,
    url: 'wfprocesshi/queryWfProcessHis',
    method: 'get'
  })
}

// 查询菜单下拉树结构
export function treeselect() {
  return request({
    url: '/system/menu/treeSelect',
    method: 'get'
  })
}

// 根据角色ID查询菜单下拉树结构
export function roleMenuTreeselect(roleId) {
  return request({
    url: '/system/menu/roleMenuTreeSelect/' + roleId,
    method: 'get'
  })
}
export function getAllMenu() {
  return request({
    url: '/getMenuTree',
    method: 'get'
  })
}
// 新增菜单
export function addMenu(data) {
  data = Qs.stringify(data)
  return request({
    url: '/system/menu/add',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}

// 根据角色ID查询菜单下拉树结构 无按钮
export function roleMenuTreeselectMC(roleId) {
  return request({
    url: '/system/menu/treeSelectMC/' + roleId,
    method: 'get'
  })
}

// 修改菜单
export function updateMenu(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/system/menu/update/'+ businessId,
    method: 'put',
    data,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}

// 删除菜单
export function delMenu(menuId) {
  return request({
    url: '/system/menu/deleteLogical/' + menuId,
    method: 'delete'
  })
}
