import request from '@/utils/request'
import Qs from 'qs'
// 查询岗位列表
export function listPost(query) {
  return request({
    url: '/system/post/list',
    method: 'get',
    params: query
  })
}

// 查询岗位详细
export function getPost(postId) {
  return request({
    url: '/system/post/detail/' + postId,
    method: 'get'
  })
}

// 新增岗位
export function addPost(data) {
  data = Qs.stringify(data)
  return request({
    url: '/system/post/add',
    method: 'post',
    data: data,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}

// 修改岗位
export function updatePost(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/system/post/update/' + businessId,
    method: 'put',
    data: data,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}

// 删除岗位
export function delPost(postId) {
  return request({
    url: '/system/post/deleteLogical/' + postId,
    method: 'delete'
  })
}
// 查询字典类型
export function checkpostIdUnique(postCode) {
  return request({
    url: '/system/post/checkpostIdUnique/?postCode=' + postCode,
    method: 'get'
  })
}
// 查询字典类型
export function checkpostNameUnique(postName) {
  return request({
    url: '/system/post/checkpostNameUnique/?postName=' + postName,
    method: 'get'
  })
}

// 导出岗位
export function exportPost(query) {
  return request({
    url: '/system/post/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
