import request from '@/utils/request'
/**
 * @Description: 签章查询
 * @author zmf
 * @date 2020/11/6
*/
export function getSignList(query) {
  return request({
    url: '/authority/syssignature/querySysSignatureByPagination',
    method: 'get',
    params: query
  })
}
/**
 * @Description: 使用日志
 * @author zmf
 * @date 2020/11/6
*/
export function getLogList(query) {
  return request({
    url: '/authority/syssignatureuselog/querySysSignatureByPagination',
    method: 'get',
    params: query
  })
}
/**
 * @Description: 历史记录
 * @author zmf
 * @date 2020/11/7
*/
export function getHistoryList(query) {
  return request({
    url: '/authority/syssignature/querySysSignatureByChangePagination',
    method: 'get',
    params: query
  })
}
/**
 * @Description: 获取电子签章数据
 * @author zmf
 * @date 2020/11/7
*/
export function getSignDetail(signatureId) {
  return request({
    url: '/authority/syssignature/detail/' + signatureId,
    method: 'get'
  })
}
/**
 * @Description: 查看使用人员
 * @author zmf
 * @date 2020/11/7
*/
export function getUserList(query) {
  return request({
    url: '/authority/syssignatureuser/querySysSignatureByPagination',
    method: 'get',
    params: query
  })
}
/**
 * @Description: 使用单据列表
 * @author zmf
 * @date 2020/11/7
*/
export function getOrderList(query) {
  return request({
    url: '/authority/syssignature/queryChangeInvoicesPagination',
    method: 'get',
    params: query
  })
}
/**
 * @Description: 查询所有系统名称
 * @author zmf
 * @date 2020/11/7
*/
export function getSysList(query) {
  return request({
    url: '/authority/syssignature/querySystem',
    method: 'get',
    params: query
  })
}
/**
 * @Description: 查询模块信息 /syssignature/queryAllSealSysSignatures/{sysId}
 * @author zmf
 * @date 2020/11/7
*/
export function getModelList(id) {
  return request({
    url: '/authority/syssignature/queryModel/' + id,
    method: 'get'
  })
}
/**
 * @Description: 查询全部单据
 * @author zmf
 * @date 2020/11/9
*/
export function getOrderUseList(id) {
  return request({
    url: '/authority/syssignatureuselog/queryAllInvoices',
    method: 'get'
  })
}
