import request from '@/utils/request'
import Qs from 'qs'

// 分页查询
export function querySysSignatureByPagination(query) {
  return request({
    url: '/authority/syssignaturesample/querySysSignatureByPagination',
    method: 'get',
    params: query
  })
}

// 签章下载
export function downLoadSignaturesSample(query) {
  const temp = Qs.stringify(query, { arrayFormat: 'indices', allowDots: true })
  return request({
    url: '/authority/syssignaturesample/downLoadSignaturesSample',
    method: 'post',
    headers: { 'Content-Type': 'application/x-www-form-urlencoded;charset=UTF-8' },
    responseType: 'blob',
    data: temp
  })
}
// 签章批量下载
export function downLoadSignatures(query) {
  const temp = Qs.stringify(query, { arrayFormat: 'indices', allowDots: true })
  return request({
    url: '/authority/syssignaturesample/downLoadSignatures',
    method: 'post',
    headers: { 'Content-Type': 'application/x-www-form-urlencoded;charset=UTF-8' },
    responseType: 'blob',
    data: temp
  })
}
// 签章上传
export function uploadSignatureImage(query) {
  const formData = new FormData()
  Object.keys(query).forEach((key) => {
    formData.append(key, query[key])
  })
  return request({
    url: '/authority/syssignaturesample/uploadSignatureImage',
    method: 'post',
    data: formData
  })
}
// 签章批量上传
export function uploadSignatureImageBatch(query) {
  const formData = new FormData()
  Object.keys(query).forEach((key) => {
    if (key === 'files') {
      query[key].forEach(item => {
        formData.append(key, item)
      })
    } else {
      formData.append(key, query[key])
    }
  })
  return request({
    url: '/authority/syssignaturesample/uploadSignatureImageBatch',
    method: 'post',
    data: formData
  })
}
